// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import javax.xml.namespace.QName;
import javax.xml.rpc.JAXRPCException;

import com.sun.xml.rpc.client.HandlerChainImpl;
import com.sun.xml.rpc.client.ServiceExceptionImpl;
import com.sun.xml.rpc.util.exception.LocalizableExceptionAdapter;

public class Wbb_WebService_Impl extends com.sun.xml.rpc.client.BasicService
		implements Wbb_WebService {
	private static final String TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO = "http://tg-woerterbuch-webservice.uni-trier.de/Wbb_WebService/go"; //$NON-NLS-1$
	private static final QName serviceName = new QName(
			TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO,
			"Wbb_WebService");
	private static final QName ns1_Wbb_WebServiceSoap_QNAME = new QName(
			TG_WOERTERBUCH_WEBSERVICE_UNI_TRIER_GO,
			"Wbb_WebServiceSoap");
	private static final Class wbb_WebServiceSoap_PortClass = info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap.class;

	public Wbb_WebService_Impl() {
		super(
				serviceName,
				new QName[] { ns1_Wbb_WebServiceSoap_QNAME },
				new info.textgrid.lab.dictionarysearch.client.Wbb_WebService_SerializerRegistry()
						.getRegistry());

	}

	@Override
	public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
			java.lang.Class serviceDefInterface)
			throws javax.xml.rpc.ServiceException {
		try {
			if (portName.equals(ns1_Wbb_WebServiceSoap_QNAME)
					&& serviceDefInterface.equals(wbb_WebServiceSoap_PortClass)) {
				return getWbb_WebServiceSoap();
			}
		} catch (Exception e) {
			throw new ServiceExceptionImpl(new LocalizableExceptionAdapter(e));
		}
		return super.getPort(portName, serviceDefInterface);
	}

	@Override
	public java.rmi.Remote getPort(java.lang.Class serviceDefInterface)
			throws javax.xml.rpc.ServiceException {
		try {
			if (serviceDefInterface.equals(wbb_WebServiceSoap_PortClass)) {
				return getWbb_WebServiceSoap();
			}
		} catch (Exception e) {
			throw new ServiceExceptionImpl(new LocalizableExceptionAdapter(e));
		}
		return super.getPort(serviceDefInterface);
	}

	@Override
	public info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap getWbb_WebServiceSoap() {
		java.lang.String[] roles = new java.lang.String[] {};
		HandlerChainImpl handlerChain = new HandlerChainImpl(
				getHandlerRegistry().getHandlerChain(
						ns1_Wbb_WebServiceSoap_QNAME));
		handlerChain.setRoles(roles);
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_Stub stub = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_Stub(
				handlerChain);
		try {
			stub._initialize(super.internalTypeRegistry);
		} catch (JAXRPCException e) {
			throw e;
		} catch (Exception e) {
			throw new JAXRPCException(e.getMessage(), e);
		}
		return stub;
	}
}
